<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <title>Prize Bond - SignIn</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php require "common/head.php"?>

<style>
    html {
  font-size: 10px;
}

body {
  overflow: hidden;
  height: 100vh;
  width: 100vw;
  /*background: linear-gradient(0deg, #da0b62, #dfc59f);*/
  font-family: "Source Sans Pro", sans-serif;
  font-size: 2rem;
  line-height: 1.414;
}
body:after {
  z-index: 1;
  content: "";
  mix-blend-mode: color;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /*background-image: radial-gradient(circle, transparent 40%, #8f3d88);*/
  transform-origin: 70% 100%;
  transform: scaleY(2) scaleX(1.5);
}

h1, h2, h3, h4, h5, h6 {
  font-family: "Bitter", serif;
  margin: 0 0 0.8em 0;
  font-weight: 800;
  font-size: 1.414em;
  line-height: 1;
}

* {
  box-sizing: border-box;
}

.wrap {
  position: absolute !important;
  z-index: 2;
  width: 420px;
  top: 50%;
  left: 50%;
  transform: translate3d(-50%, -50%, 0);
  background: #fcfffa;
  border-radius: 1.5rem;
  padding: 5rem;
  box-shadow: 1rem 2rem 4rem #a8aeb9, inset 0.4rem 0.6rem 0.6rem #0d6efd40, inset -0.4rem -0.6rem 0.6rem #0d6efd4f;
  color: black;
}
.wrap label {
  display: block;
  margin: 2rem 0 0.5rem;
  font-size: 2rem;
  font-weight: 300;
}
.wrap input {
  border-radius: 0.5rem;
  padding: 1rem;
  border: none;
  outline: none;
  font-family: "Source Sans Pro", sans-serif;
}
.wrap input[type=text], .wrap input[type=password] {
  color: #8f3d88;
  width: 100%;
  margin: 0.5rem 0;
  background: #f5feff;
  font-weight: 300;
  box-shadow: inset -0.15rem -0.25rem 0.5rem rgba(252, 254, 231, 0.4), inset 0.05rem 0.1rem 0.3rem rgba(143, 61, 136, 0.4), 0.2rem 0.3rem 0.6rem #fcfee7, -0.2rem -0.3rem 0.2rem rgba(218, 11, 98, 0.1);
  transition: color 220ms cubic-bezier(0.215, 0.61, 0.355, 1), filter 110ms cubic-bezier(0.645, 0.045, 0.355, 1), transform 2200ms cubic-bezier(0.215, 0.61, 0.355, 1);
}
@-webkit-keyframes shake {
  0% {
    transform: translateX(0);
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
            animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  30% {
    transform: translateX(-1rem);
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
            animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  40% {
    transform: translateX(1rem);
    -webkit-animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
            animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
  }
  55% {
    transform: translateX(-1rem);
    -webkit-animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
            animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
  }
  70% {
    transform: translateX(0.7rem);
    -webkit-animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
            animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
  }
  85% {
    transform: translateX(-0.7rem);
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
            animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  100% {
    transform: translateX(0);
  }
}
@keyframes shake {
  0% {
    transform: translateX(0);
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
            animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  30% {
    transform: translateX(-1rem);
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
            animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  40% {
    transform: translateX(1rem);
    -webkit-animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
            animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
  }
  55% {
    transform: translateX(-1rem);
    -webkit-animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
            animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
  }
  70% {
    transform: translateX(0.7rem);
    -webkit-animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
            animation-timing-function: cubic-bezier(0.645, 0.045, 0.355, 1);
  }
  85% {
    transform: translateX(-0.7rem);
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
            animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  100% {
    transform: translateX(0);
  }
}
.wrap input[type=text].shake, .wrap input[type=password].shake {
  filter: blur(0.6px);
  color: transparent;
  -webkit-animation: shake 440ms infinite;
          animation: shake 440ms infinite;
  transform: translateX(-1rem);
}
.wrap input[type=password] {
  letter-spacing: 0.2rem;
}
.wrap #submit-button {
  padding: 1rem 2rem;
  color: white;
  background: #396CF0;
  border: solid 1px #396CF0;
  cursor: pointer;
  transition: box-shadow 220ms cubic-bezier(0.645, 0.045, 0.355, 1), transform 220ms cubic-bezier(0.645, 0.045, 0.355, 1);
  transform-origin: 50% 50%;
  transform: scale(1);
  box-shadow: 0.05rem 0.05rem 0.1rem rgba(143, 61, 136, 0.2), inset 0.15rem 0.25rem 0.5rem rgba(252, 254, 231, 0.4), inset -0.15rem -0.25rem 0.5rem rgba(143, 61, 136, 0.4), -0.2rem -0.3rem 0.6rem rgba(252, 254, 231, 0.1), 0.2rem 0.3rem 0.6rem rgba(218, 11, 98, 0.1);
}
.wrap #submit-button:hover:not(:active):not([disabled]), .wrap #submit-button:focus:not(:active):not([disabled]) {
  transform: scale(1.05);
  box-shadow: 0.05rem 0.25rem 0.3rem rgba(143, 61, 136, 0.2), inset 0.15rem 0.25rem 0.5rem rgba(252, 254, 231, 0.4), inset -0.15rem -0.25rem 0.5rem rgba(143, 61, 136, 0.4), -0.2rem -0.3rem 0.6rem rgba(252, 254, 231, 0.1), 0.2rem 0.3rem 0.6rem rgba(218, 11, 98, 0.1);
}
.wrap #submit {
  margin-top: 2rem;
  position: relative;
  display: inline-block;
}
.wrap #submit label {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  line-height: 0;
  color: white;
  font-weight: 800;
  text-shadow: 1px 1px 5px rgba(143, 61, 136, 0.3);
  pointer-events: none;
  transform-origin: 50% 30%;
  transition: transform 220ms cubic-bezier(0.645, 0.045, 0.355, 1), opacity 220ms cubic-bezier(0.645, 0.045, 0.355, 1);
}
.wrap #submit:hover label {
  transform: translateY(-10%) scale(1.05);
}
.wrap #submit .dots {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  font-size: 2rem;
  line-height: 1rem;
  padding: 0;
  pointer-events: none;
  transform: translateY(-30%);
  opacity: 0;
  transition: transform 220ms cubic-bezier(0.645, 0.045, 0.355, 1), opacity 220ms cubic-bezier(0.645, 0.045, 0.355, 1);
}
.wrap #submit .dots .dot {
  position: absolute;
  top: calc(50% - 0.5rem);
  width: 1rem;
  height: 1rem;
  border-radius: 1rem;
  background: white;
  display: block;
  -webkit-animation: bounce 800ms infinite;
          animation: bounce 800ms infinite;
}
@-webkit-keyframes bounce {
  0% {
    transform: translateY(0);
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
  }
  15% {
    transform: translateY(-50%);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  30% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes bounce {
  0% {
    transform: translateY(0);
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
  }
  15% {
    transform: translateY(-50%);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  30% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(0);
  }
}
.wrap #submit .dots .dot:nth-child(1) {
  left: calc(30% - 0.5rem);
  -webkit-animation-delay: 200ms;
          animation-delay: 200ms;
}
.wrap #submit .dots .dot:nth-child(2) {
  left: calc(50% - 0.5rem);
  -webkit-animation-delay: 400ms;
          animation-delay: 400ms;
}
.wrap #submit .dots .dot:nth-child(3) {
  left: calc(70% - 0.5rem);
  -webkit-animation-delay: 600ms;
          animation-delay: 600ms;
}
.wrap #submit.checking label {
  transform: translateY(30%);
  opacity: 0;
}
.wrap #submit.checking .dots {
  transform: translateY(0%);
  opacity: 1;
}
.wrap .message {
  position: absolute;
  bottom: 5rem;
  right: 5rem;
  color: #8f3d88;
  font-size: 20px;
  line-height: 30px;
  transition: opacity 220ms cubic-bezier(0.645, 0.045, 0.355, 1), transform 220ms cubic-bezier(0.645, 0.045, 0.355, 1);
}
.wrap .message.lockout {
  color: #da0b62;
}
.wrap .message.hidden {
  opacity: 0;
  transform: translateY(50%);
}
.wrap .message.finished {
  opacity: 0;
  transform: translateY(-50%);
}
.wrap .message .lnr {
  color: #da0b62;
  font-size: 30px;
}
.wrap .message .number {
  font-size: 30px;
  position: relative;
  display: inline-block;
  transform: translateY(100%);
  color: transparent;
  margin-right: 0.2rem;
  transition: color 220ms cubic-bezier(0.645, 0.045, 0.355, 1), transform 220ms cubic-bezier(0.645, 0.045, 0.355, 1);
}
.wrap .message .number:before {
  content: "2";
  position: absolute;
  left: 0;
  transform: translateY(0%);
  color: transparent;
  transition: color 220ms cubic-bezier(0.645, 0.045, 0.355, 1), transform 220ms cubic-bezier(0.645, 0.045, 0.355, 1);
}
.wrap .message .number:after {
  content: "3";
  position: absolute;
  left: 0;
  transform: translateY(-100%);
  color: #da0b62;
  transition: color 220ms cubic-bezier(0.645, 0.045, 0.355, 1), transform 220ms cubic-bezier(0.645, 0.045, 0.355, 1);
}
.wrap .message .number.two:after {
  color: transparent;
  transform: translateY(-200%);
}
.wrap .message .number.two:before {
  color: #da0b62;
  transform: translateY(-100%);
}
.wrap .message .number.one {
  color: #da0b62;
  transform: translateY(0%);
}
.wrap .message .number.one:before, .wrap .message .number.one:after {
  color: transparent;
  transform: translateY(-100%);
}
.sig {
  position: fixed;
  bottom: 8px;
  right: 8px;
  text-decoration: none;
  font-size: 12px;
  font-weight: 100;
  font-family: sans-serif;
  color: rgba(255, 255, 255, 0.8);
  letter-spacing: 2px;
}
</style>
</head>

<body>


<!-- Hero Start -->
<section>
    <div class="container">
        <div class="row justify-content-center">
        <div class="wrap">
          <h4>Log In</h4>
          <div id="login">
            <label for="username">Email</label>
            <input id="username" type="text"/>
            <label for="password">Password</label>
            <input id="password" type="password"/>
            <div id="submit">
              <button id="submit-button" onclick="user_login();">Log In</button>
              <!--<label for="submit-button">Log In</label>-->
              <div class="dots">
                <div class="dot"></div>
                <div class="dot"></div>
                <div class="dot"></div>
              </div>
            </div>
            <div id="login_msg"></div>
            <div class="message remain hidden"><span class="lnr lnr-lock"></span> <span class="number">1</span> Attempts left</div>
            <div class="message lockout hidden"><span class="lnr lnr-history"></span> <span class="number">10</span> Minute lock!</div>
          </div>
        </div>
        </div><!--end row-->
    </div> <!--end container-->
</section><!--end section-->
<!-- Hero End -->

<!-- javascript -->
<?php require "common/scripts.php"?>

</body>

</html>